#
# Conditional build:
%bcond_without	tests	# test suite
#
Summary:	D-Feet - a D-Bus debugger
Summary(pl.UTF-8):	D-Feet - debugger dla magistrali D-Bus
Name:		d-feet
Version:	0.3.15
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/d-feet/0.3/%{name}-%{version}.tar.xz
# Source0-md5:	44f046c5c35256f346db516dab3f938a
URL:		https://wiki.gnome.org/Apps/DFeet
BuildRequires:	gobject-introspection-devel >= 0.9.6
BuildRequires:	gtk+3-devel >= 3.10
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.7
%{?with_tests:BuildRequires:	python-pep8}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2-devel >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	gtk+3 >= 3.10
Requires:	python >= 1:2.7
Requires:	python-pygobject3 >= 3.4
Suggests:	libwnck >= 3.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
D-Feet is a D-Bus debugger.

%description -l pl.UTF-8
D-Feet to debugger dla magistrali D-Bus.

%prep
%setup -q

%build
%meson build \
	%{!?with_tests:-Dtests=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# meson is so great, "pure: true" for python.install_sources doesn't work
install -d $RPM_BUILD_ROOT%{py3_sitescriptdir}
%{__mv} $RPM_BUILD_ROOT%{py3_sitedir}/dfeet $RPM_BUILD_ROOT%{py3_sitescriptdir}
%py3_comp $RPM_BUILD_ROOT%{py3_sitescriptdir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitescriptdir}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/d-feet
%{_datadir}/d-feet
%{_datadir}/glib-2.0/schemas/org.gnome.dfeet.gschema.xml
%{_datadir}/metainfo/org.gnome.dfeet.appdata.xml
%{py3_sitescriptdir}/dfeet
%{_desktopdir}/org.gnome.dfeet.desktop
%{_iconsdir}/hicolor/16x16/apps/dfeet-*.png
%{_iconsdir}/hicolor/scalable/apps/org.gnome.dfeet.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.dfeet-symbolic.svg
%changelog
* Fri Nov 01 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/d-feet.git;a=log;h=master

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 7f21256
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 6be97bd
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Oct 08 2019 Jakub Bogusz <qboosh@pld-linux.org> 6a2c0e4
- updated to 0.3.15; uses meson now

* Sat Jul 15 2017 Jakub Bogusz <qboosh@pld-linux.org> 0fb89c5
- updated to 0.3.12

* Wed May 11 2016 Jakub Bogusz <qboosh@pld-linux.org> e7d2a6a
- updated to 0.3.11

* Thu Jul 02 2015 Jakub Bogusz <qboosh@pld-linux.org> a27e168
- updated to 0.3.10

* Tue Jun 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 92e2de8
- new URLs, updated to 0.3.9

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 59598c7
- up to 0.1.11

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 83ba8f1
- Requires(post,postun): gtk-update-icon-cache

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> ec45419
- release 5

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 12632c0
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bc86485
- release 3

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> a571093
- rel 2
- fixed desktop categories

* Wed Jul 08 2009 Patryk Zawadzki <patrys@room-303.com> 735ea3e
- 0.1.10

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d88d8bc
- release 2

* Fri Aug 15 2008 Patryk Zawadzki <patrys@room-303.com> f4be6b1
- fix group

* Fri Aug 15 2008 Patryk Zawadzki <patrys@room-303.com> df29c4f
- initial PLD release

